import { Prop, Provide, Emit, Model } from 'vue-property-decorator';
import { Subject, Subscription } from 'rxjs';
import { Watch, ListControlBase } from '@/studio-core';
import HREmployeeService from '@/service/hremployee/hremployee-service';
import List_001Service from './list-001-list-service';
import HREmployeeUIService from '@/uiservice/hremployee/hremployee-ui-service';


/**
 * listexpbar_list部件基类
 *
 * @export
 * @class ListControlBase
 * @extends {List_001ListBase}
 */
export class List_001ListBase extends ListControlBase {

    /**
     * 获取部件类型
     *
     * @protected
     * @type {string}
     * @memberof List_001ListBase
     */
    protected controlType: string = 'LIST';

    /**
     * 建构部件服务对象
     *
     * @type {List_001Service}
     * @memberof List_001ListBase
     */
    public service: List_001Service = new List_001Service({ $store: this.$store });

    /**
     * 实体服务对象
     *
     * @type {HREmployeeService}
     * @memberof List_001ListBase
     */
    public appEntityService: HREmployeeService = new HREmployeeService({ $store: this.$store });

    /**
     * 应用实体名称
     *
     * @protected
     * @type {string}
     * @memberof List_001ListBase
     */
    protected appDeName: string = 'hremployee';

    /**
     * 应用实体中文名称
     *
     * @protected
     * @type {string}
     * @memberof List_001ListBase
     */
    protected appDeLogicName: string = '员工';

    /**
     * 分页条数
     *
     * @type {number}
     * @memberof List_001ListBase
     */
    public limit: number = 1000;

    /**
     * 排序方向
     *
     * @type {string}
     * @memberof List_001ListBase
     */
    public minorSortDir: string = '';
}